Botan 1.10.17

Namespaces | Functions
global_state.cpp File Reference
`#include <botan/global_state.h>`
`#include <botan/libstate.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::Global_State_Management

## Functions
Library_State & | Botan::Global_State_Management::global_state ()
bool | Botan::Global_State_Management::global_state_exists ()
void | Botan::Global_State_Management::set_global_state (Library_State *new_state)
bool | Botan::Global_State_Management::set_global_state_unless_set (Library_State *new_state)
Library_State * | Botan::Global_State_Management::swap_global_state (Library_State *new_state)